bdi4jade.reasoning

## Class DefaultAgentPlanSelectionStrategy

- java.lang.Object
- - bdi4jade.reasoning.AbstractAgentReasoningStrategy
  - - bdi4jade.reasoning.DefaultAgentPlanSelectionStrategy

- All Implemented Interfaces:
    AgentPlanSelectionStrategy, AgentReasoningStrategy

      public class DefaultAgentPlanSelectionStrategy
      extends AbstractAgentReasoningStrategy
      implements AgentPlanSelectionStrategy

  This class is the default implementation of the strategy `AgentPlanSelectionStrategy`.
  Author:
    Ingrid Nunes

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.reasoning.AbstractAgentReasoningStrategy

      `agent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAgentPlanSelectionStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Plan` | `selectPlan(Goal goal, java.util.Map<Capability,java.util.Set<Plan>> capabilityPlans)` This default implementation requests each of its capabilities to select one of its plans, and this method selects one of them, randomly.

    - ### Methods inherited from class bdi4jade.reasoning.AbstractAgentReasoningStrategy

      `setAgent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.reasoning.AgentReasoningStrategy

      `setAgent`

- - ### Constructor Detail

    - #### DefaultAgentPlanSelectionStrategy

          public DefaultAgentPlanSelectionStrategy()

  - ### Method Detail

    - #### selectPlan

          public Plan selectPlan(Goal goal,
                                 java.util.Map<Capability,java.util.Set<Plan>> capabilityPlans)

      This default implementation requests each of its capabilities to select one of its plans, and this method selects one of them, randomly.
      Specified by:
        `selectPlan` in interface `AgentPlanSelectionStrategy`
      Parameters:
        `goal` - the goal to be achieved.
        `capabilityPlans` - the set of candidate plans of each capability, as a map.
      Returns:
        the selected plan.
      See Also:
        `AgentPlanSelectionStrategy.selectPlan(Goal, java.util.Map)`